{% extends 'layout.html' %}
{% load static %}
{% load site_configs_tags %}
{% load el_pagination_tags %}
{% load thumbnail %}
{% load cache %}

{% block styles %}
    {{ block.super }}
    {% include "gallery/youtube-video-modal-styles.html" %}
{% endblock %}

{% block body_class %}page-info page-blog{% endblock %}

{% block content_wrapper %}
    {% get_configs 'common.AboutCompany' as company_info %}
        <div class="container">
            <h1 class="t-title blue">Блог</h1>
            <div class="blog-categories">
                <a href = "{% url 'articles' %}" class="category active">Все статьи</a>
                {% for category in categories %}
                    <a href="{{ category.get_absolute_url }}" class="category">{{ category.title }}</a>
                {% endfor %}
            </div>
            <form class="blog-search search-form">
                <input type="text" placeholder="Поиск по блогу" name="search" value="{{ request.GET.search }}">
                <button type="submit" class="header__search__btn">
                    <img src={% static "img/icons/24px/search.svg" %} class="loop-btn" alt="">
                    <img src={% static "img/icons/24px/send.svg" %} class="send-btn img-svg" alt="">
                </button>
            </form>
            <div class="blog-posts">
                <div class="d-flex">
                    {% paginate 12 articles %}
                    {% for article in articles %}
                        {% include 'web/partials/article.html' %}
                    {% endfor %}
                </div>
                {% get_pages as pages %}
                {% include 'web/partials/pagination.html' with pages=pages%}
            </div>
        </div>


{% endblock %}

{% block modal_windows %}
    {{ block.super }}
    {% include "gallery/youtube-video-modal.html" %}
{% endblock %}

{% block scripts %}
    {{ block.super }}
    {% include "gallery/youtube-video-modal-scripts.html" %}
{% endblock %}